<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Cartola Analiticys</title>
    <!-- <link rel="stylesheet" href="{{ url_for('static', filename='style.css') }}"> -->
    <style>
      body, ul, li, p{
          padding: 0px;
          margin: 0px;
          list-style: none;
          
          font-family: Arial, Helvetica, sans-serif;

      }
      a{
          text-decoration: none;
          color: #f1f1f1;
          font-size: 1.2em;
      }
      body{
          display: flex;
      }
      header{
          display: flex;
          flex-wrap: wrap;
          justify-content: space-between;
          align-items: center;
          padding: 10px;
          background-color: tomato;
          
      }
      .menu{
          display: flex;
      }
      .menu li{
          margin-left: 10px;
      }
      .menu li a{
          display: block;
          padding: 10px;
          
      }
      .container{
          width: 100%;
          height: 100%;
      }
      
      .header > a{
          text-decoration: none;
          font-weight: bold;
          font-size: 35px;
          color:#f1f1f1;
          text-align: center;
      }
      .tab {
          background-color: #f1f1f1;
          border: 1px solid #ccc;
          border-bottom: none;
          border-radius: 5px 5px 0 0;
          overflow:auto;
      }
      .tab button {
          background-color: #f1f1f1;
          border: none;
          outline: none;
          border-radius: 5px 5px 0 0;
          cursor: pointer;
          padding: 10px 16px;
          font-weight: bold;
          color: #333;
          margin: 3px 2px 0 2px;
          float:left;
      }
      .tab button:hover {
          background-color: #fbfbfb;
          
      }
      .tab button.ativo {
          background-color:white;
          color:#008cff;
          
      }
      .conteudo {
          border: 1px solid #ccc;
          border-top: none;
          padding: 6px 12px;
          display:none;
          height: auto;
          min-height:68.5vh;
          border-radius: 0px 0px 5px 5px;
      }
      .conteudo > section{
          display: flex;
          flex-direction: row;
          margin:10px;
          padding-top:50px ;
          justify-content: space-around;
      }
      .conteudo > form > input {
          outline: none;
          border-color: tomato;
          border-radius: 5px;
          background-color: rgba(0,0, 0, 0);
          font-size: 1.2em;
          float: right;
      }
      .tabs-container{
          margin-top: 10px;
          width: calc(100% - 470px);
          float:left;
          margin-left: 5px; 
      }
      .jogadores-container{
        background-color: #008cff;
          padding: 20px ;
          display: block;
          width: 50vw;
          height: auto;
          min-height:70vh;
          float:left;
          border: 1px solid #ccc;
          border-radius: 5px;
      }
      .ranking{
          height: auto;
          border: 1px solid #ccc;
          border-radius: 2px;
          padding: 5px;
          background-color: #f1f1f1;
          
          
      }
      .ranking > li{
          height: auto;
          min-height:5vh;
          font-size: 0.8em;
          font-weight: bold;
          width: 25vw;
          border: 1px solid #ccc;
          border-radius: 2px;
          background-color:white;
              
      }
      .ranking > h3{
          font-size: 1.2em;
          font-weight: bold;       
      }
      table {
          font-family: arial, sans-serif;
          border-collapse: collapse;
          width: 100%;
      }
      caption{
          border: 1px solid #dddddd;
          border-bottom: none;
          padding-top:5px ;
          font-size: 1.1em;
      }
        
      td, th {
          border: 1px solid #dddddd;
          text-align: left;
          padding: 8px;
      }
        
      tr:nth-child(even) {
          background-color: #dddddd;
      }
      th{
          font-size: 0.75em;
      }
      .dados_jogador {
          font-size: 0.65em;
      }
      .jogador_dado{
          font-family: arial, sans-serif;
          border-collapse: collapse;
          width: 70%;
          margin:0 auto;
          margin-top:50px;
      }
      .pesquisa input.procurar{
          width:80%;
          height: 40px;
          border-radius: 5px 5px 5px 5px;
          margin: 0px;
      }
      .pesquisa input.submit{
          width:20%;
          height: 40px;
          border-radius: 5px 5px 5px 5px;
          margin: 0px;
      }
      .myteam > ul {
          margin-top: 30px;
          overflow-y: scroll;
          align-items: center;
          height: 60vh;
          border: 1px solid #ccc;
          border-radius: 2px;
          
      }
      .myteam > ul > h3{
          text-align: center;
      }
      .myteam > ul > li  > button{
          float: right;
          outline: none;
          background-color: white;
          border-radius: 5px;
          border-color: red;
      }
      .myteam > ul > li  > h4{
          font-size: 0.8em;
      }
      .myteam > ul::-webkit-scrollbar {
          display: none;
      }
    .homeImg{
        margin: 0;
        width: 100vw;
        height: 100vh;
        background-color: black;
    }
    header{
        z-index: 2;
        display: flex;
        position: absolute;
        top:0;
        left:0;
        width: 98.4%;
        height: 8vh;
        flex-wrap: wrap;
        justify-content: space-between;
        align-items: center;
        padding: 10px;
        background-color: rgb(0, 0, 0);
        border-bottom: 5px solid #009879;
    }
    .menu{
        display: flex;
    }
    .menu li{
        margin-left: 10px;
    }
    .menu li a{
        display: block;
        padding: 10px;
    
    }
    .menu li a:hover{
        color: #009879;
    }
    .container{
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: column;
    }

    .header > a{
        text-decoration: none;
        font-weight: bold;
        font-size: 3.5em;
        color:#f1f1f1;
        text-align: center;

    }
    .header > a:hover{
        color:#009879;
    }
.tab {
  background-color: #f1f1f1;
  border: 1px solid #ccc;
  border-bottom: none;
  border-radius: 5px 5px 0 0;
  overflow:auto;
}
.tab button {
  background-color: #f1f1f1;
  border: none;
  outline: none;
  border-radius: 5px 5px 0 0;
  cursor: pointer;
  padding: 10px 16px;
  font-weight: bold;
  color: #333;
  margin: 3px 2px 0 2px;
  float:left;
}
.tab button:hover {
  background-color: #fbfbfb;
  
}
.tab button.ativo {
  background-color:white;
  color:#008cff;
  
}
.conteudo {
  border: 1px solid #ccc;
  border-top: none;
  padding: 6px 12px;
  display:none;
  height: auto;
  min-height:68.5vh;
  border-radius: 0px 0px 5px 5px;
}
.conteudo > section{
  display: flex;
  flex-direction: row;
  margin:10px;
  padding-top:50px ;
  justify-content: space-around;
}
.conteudo > form > input {
  outline: none;
  border-color: tomato;
  border-radius: 5px;
  background-color: rgba(0,0, 0, 0);
  font-size: 1.2em;
  float: right;
}
.tabs-container{
 margin-top: 10px;
 width: 60vw;
 float:right;
}
.jogadores-container{
 position:absolute;
 margin:0 auto; 
 background-color: #f0f3f5;
 margin-top: 15vh;
 padding: 20px ;
 display: block;
 width: 30vw;
 height: auto;
 min-height:70vh;
 border: 1px solid #ccc;
 border-radius: 10px;
 -webkit-box-shadow: 9px 7px 5px rgba(90, 85, 85, 0.77);
 -moz-box-shadow:    9px 7px 5px rgba(83, 78, 78, 0.77);
  box-shadow:         9px 7px 5px rgba(78, 76, 76, 0.77);
}
.ranking{
  height: auto;
  border: 1px solid #ccc;
  border-radius: 2px;
  padding: 5px;
  background-color: #f1f1f1;
  
  
}
.ranking > li{
  height: auto;
  min-height:5vh;
  font-size: 0.8em;
  font-weight: bold;
  width: 25vw;
  border: 1px solid #ccc;
  border-radius: 2px;
  background-color:white;
     
}
.ranking > h3{
  font-size: 1.2em;
  font-weight: bold;       
}
table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
}
caption{
  border: 1px solid #dddddd;
  border-bottom: none;
  padding-top:5px ;
  font-size: 1.1em;
}

td, th {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}

tr:nth-child(even) {
  background-color: #dddddd;
}
th{
  font-size: 0.75em;
}
.dados_jogador {
  font-size: 0.65em;
}
.jogador_dado{
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 70%;
  margin:0 auto;
  margin-top:50px;
}
.pesquisa input.procurar{
  width:70%;
  height: 40px;
  border-radius: 5px 5px 5px 5px;
  margin: 0px;
}
.pesquisa input.submit{
  width:20%;
  height: 40px;
  border-radius: 5px 5px 5px 5px;
  margin: 0px;
}
.myteam > ul {
  margin-top: 30px;
  overflow-y: scroll;
  align-items: center;
  height: 60vh;
  border: 1px solid #ccc;
  border-radius: 2px;
  
}
.myteam > ul > h3{
  text-align: center;
}
.myteam > ul > li  > button{
  float: right;
  outline: none;
  background-color: white;
  border-radius: 5px;
  border-color: red;
}
.myteam > ul > li  > h4{
  font-size: 0.8em;
}
.myteam > ul::-webkit-scrollbar {
  display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
.myteam > ul {
-ms-overflow-style: none;  /* IE and Edge */
scrollbar-width: none;  /* Firefox */

}
.myteam > ul > li{
  font-size: 0.7em;
  padding: 10px;
  margin: 0 auto;
  justify-content: center;
  width: 80%;
  border: 1px solid #ccc;
  border-radius: 2px;
}
.myteam > ul > h3 > button{
  background-color: white;
  border-radius: 5px;
  font-size: 0.9em;
  border-color: blue;

}
.jogador{
  color:black;
}
#html.status{
  height: 400px;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}
.graphs{
  display: flex;
  flex-direction: row;
  width: 70%;
  justify-content: space-between;
  align-items: center;
  margin:0 auto;
  margin-top: 50px;
}
.container img{
  position:absolute;
  top:0;
  left: 0;
  width: 100%;
  height: 100%;
}

        

    </style>
  </head>
<body>
    <section class="container">
      <img src="{{ url_for('static', filename='cartolaCapa.jpg') }}">  
        <header class="header">
            <a href="/">
                <img src="../static/img/favicon-dicas-cartola-fc.png" style="width: 70px;height: 70px;margin:5px;">
            </a>

            <nav>
                <ul class="menu">
                   {% for jogador in jogadores :%}
                    <option value="{{jogador.nome}}"></option>
                {% endfor%}
                    <li><a href="/index">Equipe</a></li>
                    <li><a href="https://globoesporte.globo.com/cartola-fc/">Cartola</a></li>
                    <li><a href="/index">FGA</a></li>
                </ul>
            </nav>
        </header>
        <div class="jogadores-container">
            <div class="pesquisa">
                <img src="../static/img/foto-jogador.svg" style="width: 35px;vertical-align: bottom;margin-right: 5px;">
                <input class ="procurar" type="search" id='texto' list="historico" placeholder="Pesquisar"/>
                <svg class ="submit" type="submit" onclick="setJogador()" width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-search" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd" d="M10.442 10.442a1 1 0 0 1 1.415 0l3.85 3.85a1 1 0 0 1-1.414 1.415l-3.85-3.85a1 1 0 0 1 0-1.415z"/>
                    <path fill-rule="evenodd" d="M6.5 12a5.5 5.5 0 1 0 0-11 5.5 5.5 0 0 0 0 11zM13 6.5a6.5 6.5 0 1 1-13 0 6.5 6.5 0 0 1 13 0z"/>
                </svg>

                <datalist id="historico">
                {% for jogador in jogadores :%}
                    <option value="{{jogador.nome}}"></option>
                {% endfor%}
                </datalist>
            </form>
            <form class="myteam">
                <ul>
                    <h3>Meu Time | Cartoletas:
                    {% for precos in preco %}
                        {% set i = loop%}
                        {% set p = preco[i.index] %}
                        
                        
                    {% endfor %}
                            
                        <button onclick="readdJogador(event)">voltar</button></h3>
                    {% for jogador in MyTeam%}
                    {% set i = loop %}
                    <li><button class="jogador{{i.index}}" onclick="removeJogador(event)">X</button><h4 class="jogador{{i.index}}">{{jogador.nome}}</h4></li>
                    {% endfor%}
                </ul>

            </form>
        </div>
      </div>  
    </section>
    {% block scripts %}
    <script src="https://cdn.jsdelivr.net/npm/chart.js@2.8.0"></script>
    <script>
        var JogadorAtual
          function setJogador(){
            document.getElementById('tab-jogador').click();
            tmp = document.getElementById('texto').value;
            fetch(`${window.origin}/jogador/set/${tmp}`, {
                method: "POST",
                credentials: "include",
                cache: "no-cache",
              })
              .catch(function(error) {
                console.log("Fetch error: " + error);
            });
          }
          function addJogador(){
            jogador = document.getElementById('nome_jogador').innerHTML;
            fetch(`192.168.0.142:5000/myteam/add/${jogador}`, {
                method: "POST",
                credentials: "include",
                cache: "no-cache",
              })
              .catch(function(error) {
                console.log("Fetch error: " + error);
            });
          }
          function removeJogador(event){
            text = event.currentTarget.className
            jogador = document.getElementsByClassName(text);
            fetch(`${window.origin}/myteam/remove/${jogador[1].innerHTML}`, {
                method: "POST",
                credentials: "include",
                cache: "no-cache",
              })
              .catch(function(error) {
                console.log("Fetch error: " + error);
            });
          }
          function readdJogador(event){
            fetch(`${window.origin}/myteam/readd`, {
                method: "POST",
                credentials: "include",
                cache: "no-cache",
              })
              .catch(function(error) {
                console.log("Fetch error: " + error);
            });
          }
          
          function abrirTab(event, idTab){
              var conteudos = document.getElementsByClassName('conteudo');
              for(var i = 0;i < conteudos.length ;i++){
                conteudos[i].style.display = 'none';
              }
              var tabs = document.getElementsByClassName('tab-button')
              for(var i = 0;i < tabs.length ;i++){
                tabs[i].className = tabs[i].className.replace('ativo','tab-button');
              }
              document.getElementById(idTab).style.display = 'block';
              event.currentTarget.className += ' ativo';
          }
      </script>
      {% endblock %}
</body>
</html>